import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		unit: commonLogic.appcommonhandle("单位",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizhardwaretype: commonLogic.appcommonhandle("分组类型",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		productuid: commonLogic.appcommonhandle("产品编号",null),
		ibizhardwareid: commonLogic.appcommonhandle("硬件标识",null),
		ibizhardwarename: commonLogic.appcommonhandle("名称",null),
		unitprice: commonLogic.appcommonhandle("单价",null),
		producer: commonLogic.appcommonhandle("生产厂商",null),
	},
		views: {
			gridview9: {
				caption: commonLogic.appcommonhandle("硬件",null),
				title: commonLogic.appcommonhandle("硬件表格视图",null),
			},
			sgridview: {
				caption: commonLogic.appcommonhandle("硬件",null),
				title: commonLogic.appcommonhandle("硬件表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("硬件",null),
				title: commonLogic.appcommonhandle("硬件编辑视图",null),
			},
			indexpickupdataview: {
				caption: commonLogic.appcommonhandle("硬件",null),
				title: commonLogic.appcommonhandle("硬件索引关系选择数据视图",null),
			},
			indexpickupview: {
				caption: commonLogic.appcommonhandle("硬件",null),
				title: commonLogic.appcommonhandle("硬件数据选择视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("硬件基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("硬件标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				productuid: commonLogic.appcommonhandle("产品编号",null), 
				ibizhardwarename: commonLogic.appcommonhandle("名称",null), 
				unit: commonLogic.appcommonhandle("单位",null), 
				unitprice: commonLogic.appcommonhandle("单价",null), 
				producer: commonLogic.appcommonhandle("生产厂商",null), 
				ibizhardwareid: commonLogic.appcommonhandle("硬件标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				productuid: commonLogic.appcommonhandle("产品编号",null),
				ibizhardwarename: commonLogic.appcommonhandle("名称",null),
				unit: commonLogic.appcommonhandle("单位",null),
				unitprice: commonLogic.appcommonhandle("单价",null),
				producer: commonLogic.appcommonhandle("生产厂商",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		indextype_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("",null), 
			},
			uiactions: {
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		gridview9toolbar_toolbar: {
			tbitem1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
		},
		sgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;